Bug 794679 - [Indic] New Indic Rupee symbol not populated correctly
[Indic] New Indic Rupee symbol not populated correctly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-17 05:09 EST by Ankit Patel
Modified: 2012-03-09 19:21 EST (History)
9 users (show)

See Also:
Fixed In Version: libreoffice-3.4.5.2-8.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-09 19:21:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Incorrect INR symbol (110.18 KB, image/png)
2012-02-17 05:11 EST, Ankit Patel
no flags Details

  None (edit)
Description Ankit Patel 2012-02-17 05:09:35 EST
Description of problem:
I was trying to format Libreoffice (Calc more specifically) cell for the currency and I have noticed that Indic Rupee symbol (INR) shown in the Pop-up menu was entirely wrong.


Version-Release number of selected component (if applicable):
LibreOffice 3.4.5 
OOO340m1 (Build:502)

How reproducible:
Everytime

Steps to Reproduce:
1. Open Libreoffice Calc
2. Select any cell
3. Right Click
4. Select _Format Cells...
5. Click on the "Numbers" Tab
6. Select "Currency" as the "Category"
7. Search for "INR " in the "Format" combo box
8. Observe the different INR variants for each Indic languages
  
Actual results:
INR variants showing different Rupee symbols

Expected results:
INR variants should have same Rupee symbol, that is ₹ for all Indic languages

Additional info:
Through the discussion on the libreoffice localization mailing list on the thread http://listarchives.libreoffice.org/global/l10n/msg03821.html I came to know about localedata that libreoffice uses: http://cgit.freedesktop.org/libreoffice/core/plain/i18npool/source/localedata/data/ and found that most of the locale data there was inaccurate which I got corrected for Gujarati (gu_IN), but Rupee symbol information has to be updated for all other Indic languages.
Comment 1 Ankit Patel 2012-02-17 05:11:10 EST
Created attachment 563871 [details]
Incorrect INR symbol
Comment 2 A S Alam 2012-02-17 05:24:53 EST
libreoffice-writer-3.4.5.2-5.fc16.x86_64
Comment 3 Pravin Satpute 2012-02-20 01:02:43 EST
We have fixed this in glibc long time back, libreoffice uses another localedata so please fix it there as well.

Currency symbol should be U+20B9

Upstream glibc bug for reference http://sourceware.org/bugzilla/show_bug.cgi?id=12541
Comment 6 Eike Rathke 2012-02-20 09:45:54 EST
Pushed to f16 with 1492de576aa776d99bff94ecdc547b2426e10065
Comment 7 Fedora Update System 2012-02-23 08:23:30 EST
libreoffice-3.4.5.2-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.5.2-6.fc16
Comment 8 Fedora Update System 2012-02-25 03:23:54 EST
Package libreoffice-3.4.5.2-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.4.5.2-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2355/libreoffice-3.4.5.2-6.fc16
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-03-07 05:22:05 EST
libreoffice-3.4.5.2-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.5.2-8.fc16
Comment 10 Fedora Update System 2012-03-09 19:21:16 EST
libreoffice-3.4.5.2-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.